webentwicklung-frage-antwort-db.com.de

Bundler / Setup (LoadError)

Ich habe ein Repository geklont und versucht, Rails s. Ich habe jedoch den folgenden Fehler erhalten:

/Users/me/.rbenv/versions/1.9.3-p547/lib/Ruby/1.9.1/rubygems/custom_require.rb:36:in `require': cannot load such file -- bundler/setup (LoadError)
from /Users/me/.rbenv/versions/1.9.3-p547/lib/Ruby/1.9.1/rubygems/custom_require.rb:36:in `require'
from /Users/me/workspace/bindo/config/boot.rb:7:in `<top (required)>'
from /Users/me/.rbenv/versions/1.9.3-p547/lib/Ruby/1.9.1/rubygems/custom_require.rb:36:in `require'
from /Users/me/.rbenv/versions/1.9.3-p547/lib/Ruby/1.9.1/rubygems/custom_require.rb:36:in `require'
from bin/Rails:9:in `<main>'

Meine Ruby Version ist:

Ruby 1.9.3p547 (2014-05-14 revision 45962) [x86_64-darwin13.3.0]

Mein gem env Befehl aus diesem Projektverzeichnis ausgeführt:

RubyGems Environment:
  - RUBYGEMS VERSION: 1.8.23.2
  - Ruby VERSION: 1.9.3 (2014-05-14 patchlevel 547) [x86_64-darwin13.3.0]
  - INSTALLATION DIRECTORY: /usr/lib/Ruby/gems/2.0.0
  - Ruby EXECUTABLE: /Users/me/.rbenv/versions/1.9.3-p547/bin/Ruby
  - EXECUTABLE DIRECTORY: /usr/lib/Ruby/gems/2.0.0/bin
  - RUBYGEMS PLATFORMS:
    - Ruby
    - x86_64-darwin-13
  - GEM PATHS:
     - /usr/lib/Ruby/gems/2.0.0
     - /Users/me/.gem/Ruby/1.9.1
     - /Users/me/.rbenv/versions/1.9.3-p547/lib/Ruby/gems/1.9.1
  - GEM CONFIGURATION:
     - :update_sources => true
     - :verbose => true
     - :benchmark => false
     - :backtrace => false
     - :bulk_threshold => 1000
  - REMOTE SOURCES:
     - http://rubygems.org/

Beim Stack Overflow habe ich gelesen, dass dies ein Pfadfehler ist. Ich bin jedoch nicht vertraut genug, um herauszufinden, was verfolgt oder geändert werden muss, damit dies funktioniert. Ich schaue, aber ich glaube, ich brauche eine Richtung.

29
Marco Lau

Sie haben wahrscheinlich bundler Edelstein fehlt.

Um es zum Laufen zu bringen (der erste Befehl muss möglicherweise mit Sudo ausgeführt werden, abhängig von Ihrer Umgebung):

[Sudo] gem install bundler
bundle install
77